backend_config:
  backend: s3
  bucket: <bucket_name>
  key: <key_name>
  region: us-west-1
  dynamodb_table: <table_name>

common_config:
  allowed_account_ids:
    - <account-id-1>
  region: us-west-1
  default_tags:
    environment: dev
s

rds_aurora_config:
  example-cluster:
    engine: "aurora-mysql"
    engine_version: "8.0"
    master_username: "root"
    instances:
      1:
        instance_class: "db.t3.medium"
        publicly_accessible: true
      2:
        identifier: "mysql-static-1"
        instance_class: "db.t3.medium"

      3:
        identifier: "mysql-excluded-1"
        instance_class: "db.t3.medium"
        promotion_tier: 15

    vpc_id: vpc-134adfcff
    create_db_subnet_group: true
    db_subnet_group_name: example-db-subnet-group
    subnets:
      - subnet-07c177
      - subnet-051b604
      - subnet-07aa6be

    security_group_rules:
      vpc_ingress:
        cidr_blocks:
          - 172.31.0.0/16

    apply_immediately: true
    skip_final_snapshot: true

    create_db_cluster_parameter_group: true
    db_cluster_parameter_group_name: example-cluster-parameter-group
    db_cluster_parameter_group_family: "aurora-mysql8.0"
    db_cluster_parameter_group_description: "example cluster parameter group"
    db_cluster_parameter_group_parameters:
      - name: "connect_timeout"
        value: 120
        apply_method: "immediate"

      - name: "innodb_lock_wait_timeout"
        value: 300
        apply_method: "immediate"

      - name: "log_output"
        value: "FILE"
        apply_method: "immediate"

      - name: "max_allowed_packet"
        value: "67108864"
        apply_method: "immediate"

      - name: "aurora_parallel_query"
        value: "OFF"
        apply_method: "pending-reboot"

      - name: "binlog_format"
        value: "ROW"
        apply_method: "pending-reboot"

      - name: "log_bin_trust_function_creators"
        value: 1
        apply_method: "immediate"

      - name: "require_secure_transport"
        value: "ON"
        apply_method: "immediate"

      - name: "tls_version"
        value: "TLSv1.2"
        apply_method: "pending-reboot"

    create_db_parameter_group: true
    db_parameter_group_name: example-db-parameter-group
    db_parameter_group_family: "aurora-mysql8.0"
    db_parameter_group_description: "example DB parameter group"
    db_parameter_group_parameters:
      - name: "connect_timeout"
        value: 60
        apply_method: "immediate"

      - name: "general_log"
        value: 0
        apply_method: "immediate"

      - name: "innodb_lock_wait_timeout"
        value: 300
        apply_method: "immediate"

      - name: "log_output"
        value: "FILE"
        apply_method: "pending-reboot"

      - name: "long_query_time"
        value: 5
        apply_method: "immediate"

      - name: "max_connections"
        value: 2000
        apply_method: "immediate"

      - name: "slow_query_log"
        value: 1
        apply_method: "immediate"

      - name: "log_bin_trust_function_creators"
        value: 1
        apply_method: "immediate"

    enabled_cloudwatch_logs_exports:
      - "audit"
      - "error"
      - "general"
      - "slowquery"
